Edit account

  • Ledger API version of the PWS Edit Account call. Request and response use the same format, served by the Ledger API.
  • Editable fields: account_name, ac_desc, ac_ext_ref, branch_name, guarantee_amount, guarantee_id and program_code. Account currencies and the parent account cannot be changed.
  • The account must be linked to a program; otherwise the request is rejected.
Body Params
int64
required
≥ 1

The unique Account ID used for updating account details

string
required
length between 1 and 40

Unique number that must be passed at each API request. Identifier to make each API request unique

int32
required
≥ 1

Unique identifier for the client which Paymentology will provide at outset

string
length between 0 and 50

User Id of the Customer who triggered the API request.

string
length between 0 and 200

Remarks for API request

string
length between 0 and 50

Account holder name

string
length between 0 and 100

Description for the account holder.

string
length between 0 and 50

Account external reference.

double

Guarantee Amount (credit related editable field)

int32

Guarantee Type Id (credit related editable field)

string
length between 0 and 50

Branch name

string

Program code for the account. When provided, program_id is ignored.

int64
deprecated

Deprecated. Use program_code instead. Ignored when program_code is provided. Program ID for the account. Must be one of the configured program IDs.

Responses

401

Missing or invalid access token. Empty body.

403

Access token rejected by the API gateway (for example, expired).

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json